Update Endpoint

Update a FHIR R4 Endpoint resource by logical ID.

Endpoint

PUT /api/fhir/r4/Endpoint/{rid}

Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4

Example request: PUT /api/fhir/r4/Endpoint/00000000-0000-4000-8000-000000000005

Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/Endpoint/00000000-0000-4000-8000-000000000005

Headers

{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]","Content-Type":"application/fhir+json"}

Parameters

ParameterInRequiredTypeDescription
rid path true uuid Logical id of the Endpoint resource. Use the logical id of the resource.

Authorization

The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.

Context Scope form
Resource-server definition system/Endpoint.u
Client grant/token request ddfssystem/Endpoint.u
Issued token's scope claim system/Endpoint.u

Example Request

{"resourceType":"Endpoint","identifier":[{"system":"https://example.com/fhir/identifier/endpoint","value":"documentation-example"}],"status":"active","connectionType":{"system":"http://terminology.hl7.org/CodeSystem/endpoint-connection-type","code":"hl7-fhir-rest"},"payloadType":[{"coding":[{"system":"http://terminology.hl7.org/CodeSystem/data-absent-reason","code":"not-applicable","display":"Not applicable"}]}],"address":"https://example.com/fhir","managingOrganization":{"reference":"Organization/00000000-0000-4000-8000-000000000009"},"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"documentation-example","display":"Documentation example"},{"system":"https://example.com/fhir/tag/phase","code":"updated","display":"Updated example"}]},"name":"Example endpoint","id":"00000000-0000-4000-8000-000000000005"}

Example Response

{
  "resourceType": "Endpoint",
  "connectionType": {
    "system": "http://terminology.hl7.org/CodeSystem/endpoint-connection-type",
    "code": "hl7-fhir-rest"
  },
  "payloadType": [
    {
      "coding": [
        {
          "system": "http://terminology.hl7.org/CodeSystem/data-absent-reason",
          "code": "not-applicable",
          "display": "Not applicable"
        }
      ]
    }
  ],
  "id": "00000000-0000-4000-8000-000000000005",
  "meta": {
    "versionId": "2",
    "lastUpdated": "2020-01-01T00:00:00Z",
    "profile": [],
    "security": [],
    "tag": [
      {
        "system": "https://example.com/fhir/tag",
        "code": "documentation-example",
        "display": "Documentation example"
      },
      {
        "system": "https://example.com/fhir/tag/phase",
        "code": "updated",
        "display": "Updated example"
      }
    ]
  },
  "identifier": [
    {
      "system": "https://example.com/fhir/identifier/endpoint",
      "value": "documentation-example"
    }
  ],
  "status": "active",
  "name": "Example endpoint",
  "managingOrganization": {
    "reference": "Organization/00000000-0000-4000-8000-000000000009"
  },
  "contact": [],
  "address": "https://example.com/fhir",
  "header": []
}

Behavior

Replaces an existing Endpoint resource by logical id.

cURL Example

curl.exe `
  -sS `
  -X PUT `
  https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/Endpoint/00000000-0000-4000-8000-000000000005 `
  -H 'Accept: application/fhir+json' `
  -H 'Authorization: Bearer [REDACTED]' `
  -H 'Content-Type: application/fhir+json' `
  --data '{"resourceType":"Endpoint","identifier":[{"system":"https://example.com/fhir/identifier/endpoint","value":"documentation-example"}],"status":"active","connectionType":{"system":"http://terminology.hl7.org/CodeSystem/endpoint-connection-type","code":"hl7-fhir-rest"},"payloadType":[{"coding":[{"system":"http://terminology.hl7.org/CodeSystem/data-absent-reason","code":"not-applicable","display":"Not applicable"}]}],"address":"https://example.com/fhir","managingOrganization":{"reference":"Organization/00000000-0000-4000-8000-000000000009"},"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"documentation-example","display":"Documentation example"},{"system":"https://example.com/fhir/tag/phase","code":"updated","display":"Updated example"}]},"name":"Example endpoint","id":"00000000-0000-4000-8000-000000000005"}'

Status Codes

CodeStatus
200 Updated Endpoint representation.

FHIR Definition

Canonical: https://hl7.org/fhir/R4/endpoint.html

Related Operations